/*

 Theme Name:   Ocean WP Child

 Theme URI:    https://votresite.com/twenty-twenty-child/

 Description:  Ocean WP Theme

 Author:       Votre nom

 Author URI:   https://aichabendafi.com

 Template:     oceanwp

 Version:      1.0.0

 License:      GNU General Public License v2 or later

 License URI:  http://www.gnu.org/licenses/gpl-2.0.html

 Text Domain:  oceanwpchild

*/


html {
	scroll-behavior: smooth !important;
}


/* Stripe */
.woocommerce-checkout #payment ul.payment_methods li {
    background-color: transparent;
}
/* Page article */

.woocommerce div.product .woocommerce-tabs ul.tabs li.active a {
    color: #ce8d8d !important;
    border-color: #ce8d8d !important;
}
#related-posts {

    display: none;

}

.post-template-default .page-header-title {

    display: none !important;

}

.single-post ul.meta {

    display: none;

}

.single .entry-title {

    display: none !important;

}

#respond {

    display: none;

}



/* desactivate search */

.search-toggle-li {

    display: none !important;

}



.content-area  {

    border: none !important;

}



.home #main #content-wrap {

    padding-bottom: 0px;

}

/* Woo commerce */



.woocommerce button.disabled  {

    border-radius: 10px;

}



.owp-floating-bar {

    top: 0 !important;

}

.woocommerce .related.products {

    display: none;

}

.current-shop-items-dropdown {

    right: inherit !important;

}

#searchform-dropdown, #icon-searchform-dropdown {

    right: 120px;

}

/* center menu */

#site-header.center-header #site-navigation-wrap .middle-site-logo {

    width: 100%;

}

#site-header.center-header #site-navigation-wrap .navigation {

    display: grid;

    width: 100%;

}



#site-header.center-header #site-navigation-wrap .left-menu, #site-header.center-header #site-navigation-wrap .right-menu {

    width: 100%;

}

#mega-menu-wrap-main_menu #mega-menu-main_menu {
    text-align: center;
}

#mega-menu-main_menu[data-effect="fade_up"] li.mega-menu-item.mega-toggle-on > ul.mega-sub-menu, #mega-menu-wrap-main_menu #mega-menu-main_menu[data-effect="fade_up"] li.mega-menu-item.mega-menu-megamenu.mega-toggle-on ul.mega-sub-menu{
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

#mega-menu-wrap-main_menu #mega-menu-main_menu img {
    border-radius: 5px;
}

@media screen and (min-width: 955px) {

    #site-logo #site-logo-inner a img, #site-header.center-header #site-navigation-wrap .middle-site-logo a img {

        margin-top: 30px;

    }

}
@media screen and (max-width: 958px) {
    .elementor-23732 .elementor-element.elementor-element-4fe3c7d:not(.elementor-motion-effects-element-type-background), .elementor-23732 .elementor-element.elementor-element-4fe3c7d > .elementor-motion-effects-container > .elementor-motion-effects-layer {
        margin-bottom: -50px;
    }
    body.default-breakpoint .oceanwp-mobile-menu-icon {
        display: flex;
        flex-direction: row-reverse;
        column-gap: 10px;
    }
    .oceanwp-mobile-menu-icon.mobile-right {
        float: left;
    }
    .oceanwp-mobile-menu-icon a {
        padding-left: 0px;
    }
    .oceanwp-mobile-menu-icon a.mobile-menu .oceanwp-text, .oceanwp-mobile-menu-icon a.mobile-menu .oceanwp-close-text  {
        display: none;
    }
    .oceanwp-mobile-menu-icon a.mobile-menu.opened .oceanwp-close-text {
        display: none;
    }
    #site-logo {
        float: right;
    }
    #site-logo #site-logo-inner a img, #site-header.center-header #site-navigation-wrap .middle-site-logo a img {
        width: 155px;
        margin-top: -6px;
    }
    .oceanwp-mobile-menu-icon a:first-child {
        padding-left: 15px;
    }
    body.default-breakpoint .oceanwp-mobile-menu-icon i {
        font-size: 1.17em;
    }

}

.scroll-down #site-header {

	transform: translate3d(0, -100%, 0) !important;

  }

   

  .scroll-up #site-header {

	transform: none;

  }

   

  /* Footer */

  #footer-bottom .container {

      height: 60px;

  }

  @media screen and (min-width: 955px) {

    #footer-bottom #footer-bottom-menu {

        height: 100%;

        display: flex;

        align-items: center;

    }

    #footer-bottom #copyright {

        height: 100%;

        display: flex;

        align-items: center;

    }

    

  }

  #footer-bottom #footer-bottom-menu, #footer-bottom #copyright {

    width: none !important;

}

  .scroll-up:not(.menu-open) #site-header {

	background: var(--lightpurple);

	box-shadow: 0 0 10px rgba(0, 0, 0, 0.35);

  }

.sidebar-container{

    display: none;

}

input, textarea, label, button, .entry-title-wrap h1, h2.project-heading, .sidebar h3, .footer-end-block h2.section-title, .skill-bar-percent, .gridblock-parallax-wrap h4.slideshow-box-title, .positionaware-button, .mtheme-button, .responsive-titles h3, .fullscreen-swiperslides .swiper-title, .woocommerce ul.products li.product h3, .woocommerce-page ul.products li.product h3, .photowall-title, .proofing-client-title, .comment-reply-title, .hero-text-wrap .hero-title, .slideshow_title, h1.slideshow_title, .static_slideshow_title, .coverphoto-text-container .slideshow_title, .coverphoto-text-container .static_slideshow_title, .fullscreen-fotorama .fotorama__caption__wrap h2, .gridblock-grid-element .boxtitle-hover a, .mtheme-lightbox .lg-sub-html, .shortcode-box-title, .entry-content .work-details h4, .work-details h4 a, ul.vertical_images .vertical-images-title, .dimmer-text, .mtheme-404-wrap .mtheme-404-error-message1, .portfolio-section-heading h2, .imagebox-title, .site-maintenance-text, .blog-grid-element-content .work-details h4 a, .homemenu .sf-menu .megamenu-textbox, .homemenu .sf-menu a, .homemenu .sf-menu .mega-item .children-depth-0 h6, .homemenu, .homemenu .sf-menu ul li a, .minimal-menu ul.mtree > li > a, .vertical-menu ul.mtree > li > a, .simple-menu ul.mtree > li > a, .responsive-mobile-menu ul.mtree > li > a, h1.entry-title, .entry-content h3.progressbar-title, .entry-content h1, .entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, .entry-content h6, .woocommerce-page h1, .woocommerce-page h2, .woocommerce-page h3, .woocommerce-page h4, .woocommerce-page h5, .woocommerce-page h6, h2.section-title, .client-name, .mtheme-button, #gridblock-filter-links, #gridblock-filters, #footer h3, .postsummarywrap, .postsummarywrap a, .quote_say, .quote_author, .summary-info, .blog-timeline-month, .jp-title, .gridblock-parallax-wrap .slideshow-box-categories, .person h4.staff-position, .time-count-data, .client-say, .client-company, .service-content h4, .service-content h4 a, .pricing-table, .boxtitle-hover, .project-info ul li, .slideshow-owl-title, .cart-elements, .cart-content-checkout, .hero-text-wrap, #header-searchform #hs, .vertical-menu, .wpcf7-form p, .toggle-menu-list li a, .work-details h4, .work-details h4 a, .blog-details-section-inner, .minimal-menu, .simple-menu, .responsive-mobile-menu, .page-link, .pricing-wrap, .pricing-table .pricing-row, .search-instructions, .fotorama__caption__wrap, #password-protected input, .post-password-form input, #password-protected label, .post-single-tags, .post-single-tags a, .comment-meta, .mtheme-lightbox .lg-sub-html, .phototag-archive-list, .album-item-count, .woocommerce .button, .mtheme-woo-order-selected, .woocommerce .woocommerce-breadcrumb, .woocommerce-result-count, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .pagination, .contact-text, .contact-text a, .slideshow-box-title, .mtheme-events-heading, .site-maintenance-text, .no-comments, .twentytwenty-before-label:before, .twentytwenty-after-label:before, .entry-content .notice-text, #gridblock-filter-links li a, #gridblock-filters li a, .woocommerce div.product .woocommerce-tabs ul.tabs li a, .horizontal-bottom-bar, .donutcounter-value, .proofing-restricted, #copyright {

font-family: 'inter', sans-serif; 

}

.home .site-main .page-header{

    display: none;

}

.home #main #content-wrap {

    padding-top: 0px;

}

#site-header {

    border-bottom: 0px;

}

#site-header {

    box-shadow: 0px 1px 2px grey;

}

.content-left-sidebar .content-area {

    width: 100%;

    padding-left: 0px;

    border-left-width: 0px;

}



.wcmenucart-details.count {

    background-color: #F5C4C4 !important;

}

.wcmenucart-details.count:before {

    border-color: #F5C4C4 !important;

}

/* Bannière nom catégorie produit */

.page-header {

    background-color: transparent;

}

/* Page validation panier */

    /* boutons */

    .wpmc-nav-wrapper button#wpmc-prev.current, .wpmc-nav-wrapper button#wpmc-next.current, .wpmc-nav-wrapper button#wpmc-skip-login.current{

        border-radius: 10px;

    }

    button#wpmc-back-to-cart {

        border-radius: 10px;

    }

    .wpmc-tabs-wrapper .wpmc-tab-item.current .wpmc-tab-number{

        border-color: #F5C4C4;

    }

    .wpmc-tabs-wrapper .wpmc-tab-item.current::before {

        border-color: #F5C4C4;

    }

    input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, button[type="submit"]:hover, input[type="button"]:focus, input[type="reset"]:focus, input[type="submit"]:focus, button[type="submit"]:focus, .button:hover, body div.wpforms-container-full .wpforms-form input[type=submit]:hover, body div.wpforms-container-full .wpforms-form button[type=submit]:hover, body div.wpforms-container-full .wpforms-form .wpforms-page-button:hover {

        background-color: #F5C4C4;

    }

    .woocommerce-checkout #place_order {

        border-radius: 10px;

        background-color: #ce8d8d;

    }

.content-area {

    width: 100%;

    padding-right: 0px;

}

.woocommerce-cart #content-wrap #primary #content .woocommerce {

    display: flex !important;

    grid-template-columns: repeat(2, minmax(0, 1fr));

}

.woocommerce-cart-form {

    flex-shrink: 1;

    margin-right: 15px;

}

.woocommerce-page .cart-collaterals{

    flex: none;

    width: 40% !important;

}

.woocommerce-page .cart-collaterals .cart_totals {

    width: 100% !important;

}

.woocommerce table.shop_table {

    border-radius: 20px;

    overflow: hidden;

}

.woocommerce-page .cart-collaterals .cart_totals {

    overflow: hidden;

    border-radius: 20px;

}

.woocommerce-cart .wc-proceed-to-checkout a.checkout-button {

    border-radius: 10px;

}

.woocommerce table.shop_table thead th  {

    text-transform: capitalize;

}

.woocommerce .cart-collaterals h2 {

    text-transform: capitalize !important;

}



.amount {

    color: #F5C4C4 !important;

}

.woocommerce-cart table.cart td.actions .coupon button[name="apply_coupon"] {

    border-radius: 10px;

    background-color: #F5C4C4;

}

button.button {

    background-color: #000;

}

.woocommerce-cart table.cart td.actions button[name="update_cart"] {

    border-radius: 10px;

}



@media screen and (min-width: 1135px) {

    .woocommerce-cart table.cart td.actions .coupon .input-text {

        width: 25% !important;

    }

    .woocommerce-cart table.cart td.actions .coupon {

        width: 60% !important;

    }

  }



  @media screen and (max-width: 1148px) {

    

  .woocommerce-cart table.cart td.actions button[name="update_cart"] {

    float: left !important;

    margin-top: 15px;

}

}

@media screen and (max-width: 800px) {

    #content-wrap #primary #content .woocommerce {

       flex-direction: column;

    }

    .woocommerce-page .cart-collaterals{

        width: 100% !important;

    }

    .woocommerce-cart-form {

        margin-right: 0px;

    }

    .woocommerce-cart table.cart img {

        max-width: none !important;

        width: 30% !important;

        float: left; /*  à voir pour supprimer */

    }

  }



  /* Modal panier */

  .woocommerce ul.product_list_widget li:first-child {

    border-color: transparent !important;

}

.widget_shopping_cart ul.cart_list li .owp-grid-wrap .owp-grid.thumbnail {

    border-color: transparent !important;

}

.widget_shopping_cart .total {

    background-color: transparent !important;

    border-color: transparent !important;

}

.widget_shopping_cart_content .buttons .checkout {

    border-radius: 10px;

    background-color: #F5C4C4;

}

.widget_shopping_cart_content .buttons .button:first-child {

    border-radius: 10px;

}

.show-cart #oceanwp-cart-sidebar-wrap .oceanwp-cart-sidebar, .show-cart-sidebar #oceanwp-cart-sidebar-wrap .oceanwp-cart-sidebar {

    padding: 15px !important;

}

    /* Affichage produits en portable */

.woocommerce-cart .woocommerce table.shop_table tr td.product-quantity .quantity {

    float: left !important;

}

.woocommerce-cart .woocommerce table.shop_table tr td {

    text-align: left !important;

    /* display: inline; à voir */

}

.woocommerce table.shop_table a.remove {

    text-align: center;

}



.woocommerce table.shop_table td {

    border-color: transparent !important;

}

/* tr.woocommerce-cart-form__cart-item.cart_item {

    background-color: #eaeaea;

} */



.woocommerce-cart .woocommerce table.shop_table tr td:before {

    display: none;

}

.quantity .minus {

    border-top-left-radius: 30px !important;

    border-bottom-left-radius: 30px !important;

}

.quantity .plus {

    border-top-right-radius: 30px !important;

    border-bottom-right-radius: 30px !important;

}

.quantity .qty, .quantity .minus, .quantity .plus {

    background-color: #fff !important;

}



/* Page Produits */

.woocommerce .oceanwp-toolbar {

    display: none !important;

}



.woocommerce ul.products li.product li.category {

    display: none !important;

} 
.woocommerce ul.products li.product .woo-entry-inner li.image-wrap .woo-entry-image {
    border-radius: 5px;
}
.woocommerce ul.products li.product .woo-entry-inner li{
    margin-bottom: 0px !important;
}

.woocommerce-message a {
    background-color: #000 !important; 
    border-radius: 5px;
}

.woocommerce-message a:hover {
    background-color: #F5C4C4 !important; 
    border-radius: 5px;
    color: #000 !important;
}

.woocommerce-error a{
    background-color: #000 !important; 
    border-radius: 5px;
}

.woocommerce-error a:hover{
    background-color: #F5C4C4 !important; 
    border-radius: 5px;
    color: #000 !important;
}

.woocommerce-message {
    border-radius: 5px;
}

p.return-to-shop {
    display: none;
}

.wcmenucart-toggle-drop_down:hover .current-shop-items-dropdown {
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

button, .woo-commerce .button, .woo-commerce button.button.alt {
    border-radius: 5px;
}

.woocommerce ul.products li.product .woo-entry-inner {

    display: flex;

    flex-direction: column;

    justify-content: space-between;

    align-items: center;

    height: 410px;

}

@media only screen and (max-width: 535px) {
    .woocommerce ul.products li.product .woo-entry-inner{
        height: 290px !important;
    }
  }

.woocommerce ul.products li.product .woo-entry-inner li.title {

    height: 35px !important;

    display: flex;

    align-items: start;

    justify-content:flex-start;

}

.woocommerce ul.products li.product .woo-entry-inner li.title span {

    font-size: 17px;

}

.woocommerce ul.products li.product .woo-entry-inner li.price-wrap span {

    color: #8B8383 !important;

    font-size: 16px;

}

p.price {
    color: #F5C4C4 !important;
}

.woocommerce ul.products li.product .woo-entry-inner li.btn-wrap {

    display: none;

}



a.checkout-button.button.alt.wc-forward {

    background-color: #8B8383;

}

/* .content-wrap {

    padding: 15px !important;

} */



/* Grid Produuits */

.entry-content .products {

    display: grid;

    grid-template-columns: repeat(4, minmax(0, 1fr));

}

.woocommerce ul.products .product {

    width: 100% !important;
    height: 100% !important;
    padding-bottom: 1px;

}

@media screen and (max-width: 700px) {

    .entry-content .products {

        grid-template-columns: repeat(2, minmax(0, 1fr));

    }

  }

@media only screen and (max-width: 470px) {
    #footer-bottom {
        height: 145px !important;
    }
  }

/* Pagination */

.woocommerce-pagination .page-numbers {

    display: flex;

    justify-content: center;

    align-items: center;

}



.page-numbers a, .page-numbers span:not(.elementor-screen-only), .page-links span {

    border: 0px;

}

.page-numbers .current {

    border-radius: 50% !important;

}





/*galerie d'art : peintures et dessins*/

html body .modula-fancybox-bg {
    background: #fff !important;
}

#main #content-wrap {
    padding-top: 0px;
}

.footer-end-block {

	display: none;

}



@media only screen and (min-width: 1100px){

#jtg-20493, #jtg-20499, #jtg-20507, #jtg-20517, #jtg-20516, #jtg-20518, #jtg-20619, #jtg-20621, #jtg-20622, #jtg-20623, #jtg-20624, #jtg-20625{

width: 100% !important;

}

}

#jtg-20493, #jtg-20499, #jtg-20507, #jtg-20517, #jtg-20516, #jtg-20518, #jtg-20619, #jtg-20621, #jtg-20622, #jtg-20623, #jtg-20624, #jtg-20625, .modula-items .figc p.description{

font-size: 10px !important;

color: white !important;

font-weight: 700;

text-shadow: #000 1px 0px 7px;

}

#jtg-20493, #jtg-20499, #jtg-20507, #jtg-20517, #jtg-20516, #jtg-20518, #jtg-20619, #jtg-20621, #jtg-20622, #jtg-20623, #jtg-20624, #jtg-20625, h2, .entry-content h2 {

font-size: 14px !important;

}

/* #jtg-20493, #jtg-20499, #jtg-20507, #jtg-20517, #jtg-20516, #jtg-20518, #jtg-20619, #jtg-20621, #jtg-20622, #jtg-20623, #jtg-20624, #jtg-20625, .modula-items .figc .jtg-title{

font-weight: 550;

color: #F5C4C4;

line-height: 25px;

} */

.modula-items .figc .jtg-title {
    display: none;
}


.vertical-logo-wrap, .vertical-menu {

	background-color: #fff;

	background-size:contain;

    background-repeat: repeat;

    background-attachment: fixed;

}

.fotorama-style-contain .mtheme-fotorama .fotorama__wrap {

    background: rgba(255,255,255,0.1) repeating-linear-gradient(-45deg, rgba(255, 255, 255, 0.08), rgba(255, 255, 255, 0.08) 1px, transparent 1px, transparent 7px) repeat scroll 0 0 / 10px 10px;

}

.imagebox-title {

    font-size: 46px;

    color: #fff;

    font-weight: 500;

    letter-spacing: 0;

    margin: 20px 25px 10px;

    display: block;

    text-shadow: rgba(255,255,255,0.5) 0px 3px 3px;



}

a:hover {
    color: #F5C4C4;
}

#mega-menu-main_menu[data-effect="fade_up"] li.mega-menu-item.mega-toggle-on > ul.mega-sub-menu, #mega-menu-wrap-main_menu #mega-menu-main_menu[data-effect="fade_up"] li.mega-menu-item.mega-menu-megamenu.mega-toggle-on ul.mega-sub-menu a:hover{
    color: #7a7171;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover {
    color: #ce8d8d !important;
}

a:focus {

    outline: none !important;

}

/* Diaporama page d'accueil */

.titre h1#n2-ss-2item1, h1#n2-ss-3item1, h1#n2-ss-3item5, h1#n2-ss-2item4, #n2-ss-3item4, div#n2-ss-2, #n2-ss-3item6, #n2-ss-3item7, #n2-ss-2item7{

	text-shadow: #000 1px 0px 7px !important;

}

.slide-st div#n2-ss-2item3, div#n2-ss-3item2, div#n2-ss-3item4, #n2-ss-item-content,div#n2-ss-2 .n2-font-0e1172ec97b721bbeb89c8b49c98ac93-paragraph, #n2-ss-2item6, .n2-font-e9442eaaf01f2963be8ede9f9c84d251-paragraph, div#n2-ss-2 .n2-style-7f844a1fc27e3048d4fa6e2d6b0a165a-heading{

	text-shadow: #000 1px 0px 7px !important;

}





/*cookie*/

.cookie-btn{

    background: #F5C4C4 !important;

    color: #494646 !important;

}

.cookie {

    display: none;

}